Bug 982425 - The transaction page also shown info "(2/2) configuring SSH AES NI" when only configuring ssh password authentication.
The transaction page also shown info "(2/2) configuring SSH AES NI" when only...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Fabian Deutsch
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 22:12 EDT by haiyang,dong
Modified: 2014-01-21 14:45 EST (History)
14 users (show)

See Also:
Fixed In Version: ovirt-node-3.0.1-2.el6
Doc Type: Bug Fix
Doc Text:
Incorrect information was being shown when performing transactions on the security page, for example, performing "Enable SSH password authentication" also showed "(2/2) configuring SSH AES NI" when this wasn't performed. Previously the transaction elements appearing in the transactions used on the security page weren't connected to the changes done in the TUI. Now the same transaction elements are used in the transaction which has eliminated these errors.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 14:45:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attached Screenshot for "transaction of security page" (5.61 KB, image/png)
2013-07-08 22:12 EDT, haiyang,dong
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19359 None None None Never

  None (edit)
Description haiyang,dong 2013-07-08 22:12:18 EDT
Created attachment 770745 [details]
attached Screenshot for "transaction of security page"

Description of problem:
Enter Security page and select "Enable SSH password authentication [].
then click "Save" button to apply it.
But The transaction page also shown info "(2/2) configuring SSH AES NI" when only configuring ssh password authentication. (Seen transaction for security page.png) 

Also the same issue when only configuring "SSH AES NI", the transaction page also shown info
"(1/2) Configuring SSH password authentication"

Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.5-20130222.0.auto1716.el6
ovirt-node-3.0.0-2.999.20130708020233git0792892.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1.Enter Security page and select "Enable SSH password authentication [].
2.click "Save" button to apply it.

Actual result:
After step 2, the transaction page also shown info "(2/2) configuring SSH AES NI" when only configuring ssh password authentication.                                                     

Expect result:
After step 2, the transaction page should didn't show info "(2/2) configuring SSH AES NI" when only configuring ssh password authentication.    

Additional info:
Comment 2 Fabian Deutsch 2013-09-18 06:44:29 EDT
As the commit message says: We are not trying to identify the transaction items which need to be run anymore, instead we are running all transaction items (the transaction items are displayed on the screen).
Running all items every time will give a consistent experience to the user.
Comment 5 haiyang,dong 2013-10-21 07:22:51 EDT
Test version:
rhev-hypervisor6-6.5-20131017.0.iso
ovirt-node-3.0.1-4.el6

Same comment 2 Description,when only configuring ssh password authentication/ssh strong RNG or ssh AES NI, the transaction page will show all transaction items:
(1/3) Configuring SSH password authentication
(2/3) Configuring SSH strong RNG
(3/3) Configuring SSH AES NI

this bug has been fixed, change the status into "VERIFIED"
Comment 8 Cheryn Tan 2013-11-07 19:37:52 EST
This bug is currently attached to errata RHBA-2013:15277. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 10 errata-xmlrpc 2014-01-21 14:45:13 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0033.html

Note You need to log in before you can comment on or make changes to this bug.